<!DOCTYPE html>
<html lang="es-ES">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Pantalla Exportaci&oacute;n Libros Auxiliares Bancarizaci&oacute;n</title>
<link href="../../maincss.css" rel="stylesheet" type="text/css" />
<link href="../../printcss.css" rel="stylesheet" type="text/css" media="print" />

</head>
<?php
include "../../conn.php";
include "../../general.php";
include "../../token.php";

$rep=$_GET["rep"];
$tipo=$_GET["tipo"];

//$usuario=$_POST["usuario"];
$fechaini=$_POST["fechaini"];
$fechafin=$_POST["fechafin"];

//$tipo_rep=$_POST["tipo_rep"];

$n_decimales = 2;


?>
<body>
<?php

//Inicio Exportacion Libros auxiliares bancarizacion

if($rep == 9 && $tipo == 1) { // if 2

if($mi_cod_pais == 1) { //if bolivia
	
	//divido para el nombre del archivo
	$ano_det = substr($fechafin,0,4);
	$mes_det = substr($fechafin,5,2);
	$dia_det = substr($fechafin,8,2);
	/*
  	if ($mes_det == 1) { $nom_mes = 'Enero'; }
	if ($mes_det == 2) { $nom_mes = 'Febrero'; }
	if ($mes_det == 3) { $nom_mes = 'Marzo'; }
	if ($mes_det == 4) { $nom_mes = 'Abril'; }
	if ($mes_det == 5) { $nom_mes = 'Mayo'; }
	if ($mes_det == 6) { $nom_mes = 'Junio'; }
	if ($mes_det == 7) { $nom_mes = 'Julio'; }
	if ($mes_det == 8) { $nom_mes = 'Agosto'; }
	if ($mes_det == 9) { $nom_mes = 'Septiembre'; }
	if ($mes_det == 10) { $nom_mes = 'Octubre'; }
	if ($mes_det == 11) { $nom_mes = 'Noviembre'; }
	if ($mes_det == 12) { $nom_mes = 'Diciembre'; }
	*/
	/*
	$fechaini = $ano_det.'-'.$mes_det.'-'.'01';
	$mes_d = mktime( 0, 0, 0, $mes_det, 1, $ano_det ); 
	$dias_mes = intval(date("t",$mes_d));
	//echo $dias_mes;
	$fechafin = $ano_det.'-'.$mes_det.'-'.$dias_mes;
*/
	//listado de compras
	$result = mysqli_query($link, "select a.pkyAccountsPayable as codigo, a.fldDocumentNumber as nro_doc, a.fldDate as fecha, a.codSupplier as cod_empresa, e.fldName as proveedor, e.fldNIT as nit, 
case a.codCurrency when $cod_moneda_principal then a.fldTotal else (select a1.fldRate from actExchangeRateDetail a1 where a1.codExchangeRate = a.codExchangeRate and a1.codTargetCurrency = a.codCurrency and a1.codBaseCurrency = $cod_moneda_principal) * a.fldTotal end as monto_cxp, 
a.fldContract as nro_contrato, d.codDocumentType as cod_tipo, d.fldInvoice as cod_fac, 
c.pkyPayment as cod_pago, 
b.pkyPaymentDetail as cod_pago_det, c.codRoute as cod_tipo_pago, 
case a.codCurrency when $cod_moneda_principal then b.fldTotal else (select b1.fldRate from actExchangeRateDetail b1 where b1.codExchangeRate = c.codExchangeRate and b1.codTargetCurrency = a.codCurrency and b1.codBaseCurrency = $cod_moneda_principal) * b.fldTotal end as monto_pago, 
c.fldDate as fecha_pago, c.codBankMovement as cod_mov_banco, c.codCheck as cod_cheque, c.codType as cod_tipo_doc_pago, f.fldName as tipo_doc_pago, c.fldDocumentNumber as nro_doc_pago 
from
payAccountsPayable a inner join payPaymentDetail b on 
a.pkyAccountsPayable = b.codAccountsPayable, payPayment c, payAccountsPayableDetail d, agnCompany e, pchPurchaseType f   
where 
a.fldBanking = 1 and 
a.pkyAccountsPayable = d.codAccountsPayable and 
a.codSupplier = e.pkyCompany and 
c.codType = f.pkyPurchaseType and 
c.pkyPayment = b.codPayment and 
((a.fldDate >= '$fechaini' and a.fldDate <= '$fechafin') or
(c.fldDate >= '$fechaini' and c.fldDate <= '$fechafin')) and 
c.fldDate >= '$fechaini' and c.fldDate <= '$fechafin' and 
a.sysEnabled = 1 AND a.sysAuthorized = 1 and 
c.sysEnabled = 1 AND c.sysAuthorized = 1
order by fecha, proveedor, monto_cxp, fecha_pago, monto_pago;");
		

$matriz_compras = array();
$i = 1;
while ($row = mysqli_fetch_array($result)) {
	$matriz_compras [$i][1] = $row['codigo'];
	$matriz_compras [$i][2] = $row['fecha'];
	$matriz_compras [$i][3] = $row['cod_empresa'];
	$matriz_compras [$i][4] = $row['proveedor'];
	$matriz_compras [$i][5] = $row['nit'];
	$matriz_compras [$i][6] = round($row['monto_cxp'],$n_decimales);
	$matriz_compras [$i][7] = $row['nro_contrato'];
	$matriz_compras [$i][8] = $row['cod_tipo'];
	$matriz_compras [$i][9] = $row['cod_fac'];
	$matriz_compras [$i][10] = $row['cod_pago'];
	$matriz_compras [$i][11] = $row['cod_pago_det'];
	$matriz_compras [$i][12] = $row['cod_tipo_pago'];
	$matriz_compras [$i][13] = round($row['monto_pago'],$n_decimales);
	$matriz_compras [$i][14] = $row['fecha_pago'];
	$matriz_compras [$i][15] = NULL; //compras: factura = 1, retenciones = 2, inmuebles = 3
	$matriz_compras [$i][16] = 0; //nro doc para retenciones = 2 e inmuebles = 3
	$matriz_compras [$i][17] = $row['nro_contrato'];
	$matriz_compras [$i][18] = $row['cod_mov_banco'];
	$matriz_compras [$i][19] = $row['cod_cheque'];
	$matriz_compras [$i][20] = $row['cod_tipo_doc_pago']; //cod tipo doc pago  1 - 10
	$matriz_compras [$i][21] = $row['nro_doc']; //nro factura
	$matriz_compras [$i][22] = $row['nro_doc']; //nro autorizacion
	
	$matriz_compras [$i][23] = 0; //nro cta banco pago
	$matriz_compras [$i][24] = 0; //monto acumulado pago
	$matriz_compras [$i][25] = 0; //nit banco pago
	$matriz_compras [$i][26] = 0; //nro doc pago (cheque o transf)
	$matriz_compras [$i][27] = $row['codigo']; //cod_cxp
	$nro_doc_pago = $row['nro_doc_pago'];
	$cod_cxp = $row['codigo'];
	/* tipo doc pago
	1 cheque de cualquier naturaleza
	2 orden de transferencia
	3 Ordenes de transferencia electronica de fondos
	4 transferencia de fondos
	5 tarjeta de débito
	6 tarjeta de credito
	7 tarjeta prepagada
	8 deposito en cuenta
	9 cartas de credito
	10 otros */
	/*	
	//para enlazar al que genero el asiento
	$papa_componente = $matriz_compras [$i][11];
	$papa_codigo = $matriz_compras [$i][10];
	//$usuario = $usuario_det;
	include "../../generadopor.php";
	$matriz_compras [$i][28] = $papa_enlace;
	*/
	
	//si es factura
	if($matriz_compras [$i][8] == 1) {// if 0
		$cod_fac_compra = $matriz_compras [$i][9];
		$resultfac = mysqli_query($link, "select fldNumber as nro_fac, fldAuthorization as nro_auto 
			from txsPurchasesLedger
			where
			pkyPurchasesLedger = '$cod_fac_compra';");
		while ($row = mysqli_fetch_array($resultfac)) {
			$matriz_compras [$i][21] = $row['nro_fac'];
			$matriz_compras [$i][22] = $row['nro_auto'];
		}
		mysqli_free_result($resultfac);
		$matriz_compras [$i][15] = 1;
	}// fin if 0
	
	//si es retencion
	if($matriz_compras [$i][8] == 3) {// if 01
		$matriz_compras [$i][22] = 4;
		$matriz_compras [$i][15] = 2;
	}// fin if 01
	
	
	if($matriz_compras [$i][18] != NULL) { //if 1
		$cod_mov_banco = $matriz_compras [$i][18];
		$resultcta = mysqli_query($link, "select b.fldNumber as cuenta, d.fldNIT as nit_banco 
				from tryBankMovement a, tryBankDetail b, tryBank c, agnCompany d
				where 
				a.codBankAccount = b.pkyBankDetail and 
				a.codBank = c.pkyBank and 
				c.codCompany = d.pkyCompany and 
				a.pkyBankMovement = '$cod_mov_banco';");
		while ($row = mysqli_fetch_array($resultcta)) {
			//$cuenta = $row['cuenta'];
			//dejar solo numeros
			//$matriz_compras [$i][23] = intval(preg_replace('/[^0-9]+/', '', $cuenta), 10); //nro cta banco pago 
			$matriz_compras [$i][23] = $row['cuenta']; //nro cta banco pago
			$matriz_compras [$i][25] = $row['nit_banco']; //nit banco pago
		}
		mysqli_free_result($resultcta);
		$matriz_compras [$i][26] = $nro_doc_pago; //nro doc pago (cheque o transf)
	}// fin if 1
	
	
	//$cod_cxp = $matriz_compras [$i][10];
	$fecha_pago = $matriz_compras [$i][14];
	$resultacum = mysqli_query($link, "select sum(case c.codCurrency when $cod_moneda_principal then a.fldTotal else (select b1.fldRate from actExchangeRateDetail b1 where b1.codExchangeRate = b.codExchangeRate and b1.codTargetCurrency = c.codCurrency and b1.codBaseCurrency = $cod_moneda_principal) * a.fldTotal end) as pagos_acumulados
	from payPaymentDetail a, payPayment b, payAccountsPayable c 
	where 
	a.codPayment = b.pkyPayment and 
	a.codAccountsPayable = '$cod_cxp' and 
	a.codAccountsPayable = c.pkyAccountsPayable and 
	b.fldDate <= '$fecha_pago' and 
	b.sysEnabled = 1 and b.sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($resultacum)) {
		$matriz_compras [$i][24] = $row['pagos_acumulados']; //monto acumulado pago
	}
	mysqli_free_result($resultacum);
	
	if($matriz_compras [$i][19] != NULL) { //if 2
		$cod_cheque = $matriz_compras [$i][19];
		$resultche = mysqli_query($link, "select b.fldNumber as cuenta, d.fldNIT as nit_banco, a.fldNumber as numero 
				from tryCheck a, tryBankDetail b, tryBank c, agnCompany d
				where 
				a.codLocalAccount = b.pkyBankDetail and 
				a.codBank = c.pkyBank and 
				c.codCompany = d.pkyCompany and 
				a.pkyCheck = '$cod_cheque';");
		while ($row = mysqli_fetch_array($resultche)) {
			//$cuenta = $row['cuenta'];
			//dejar solo numeros
			//$matriz_compras [$i][23] = intval(preg_replace('/[^0-9]+/', '', $cuenta), 10); //nro cta banco cobro 
			$matriz_compras [$i][23] = $row['cuenta']; //nro cta banco cobro 
			$matriz_compras [$i][25] = $row['nit_banco']; //nit banco cobro
			$matriz_compras [$i][26] = $row['numero']; //nro doc cobro cheque
		}
		mysqli_free_result($resultche);
	}// fin if 2
	$i++;
}
$fin_c = $i - 1;
mysqli_free_result($result);


//listado de facturas ventas
$result1 = mysqli_query($link, "select a.pkyAccountsReceivable as codigo, a.fldDocumentNumber as nro_doc, a.fldDate as fecha, a.codClient as cod_empresa, e.fldName as proveedor, e.fldNIT as nit, 
case a.codCurrency when $cod_moneda_principal then a.fldTotal else (select a1.fldRate from actExchangeRateDetail a1 where a1.codExchangeRate = a.codExchangeRate and a1.codTargetCurrency = a.codCurrency and a1.codBaseCurrency = $cod_moneda_principal) * a.fldTotal end as monto_cxc, 
a.fldContract as nro_contrato, a.fldParentComponent as papa, a.cosComponentKey as cod_fac, 
c.pkyCollection as cod_cobro, 
b.pkyCollectionDetail as cod_cobro_det, c.codRoute as cod_tipo_pago, 
case a.codCurrency when $cod_moneda_principal then b.fldTotal else (select b1.fldRate from actExchangeRateDetail b1 where b1.codExchangeRate = c.codExchangeRate and b1.codTargetCurrency = a.codCurrency and b1.codBaseCurrency = $cod_moneda_principal) * b.fldTotal end as monto_cobro, 
c.fldDate as fecha_cobro, c.codBankMovement as cod_mov_banco, c.codCheck as cod_cheque, c.codType as cod_tipo_doc_cobro, f.fldName as tipo_doc_cobro, c.fldDocumentNumber as nro_doc_cobro 
from
colAccountsReceivable a inner join colCollectionDetail b on 
a.pkyAccountsReceivable = b.codAccountsReceivable, colCollection c, agnCompany e, pchPurchaseType f   
where 
a.cosComponentKey is not NULL and 
a.fldBanking = 1 and 
a.codClient = e.pkyCompany and 
c.codType = f.pkyPurchaseType and 
c.pkyCollection = b.codCollection and 
((a.fldDate >= '$fechaini' and a.fldDate <= '$fechafin') or
(c.fldDate >= '$fechaini' and c.fldDate <= '$fechafin')) and 
c.fldDate >= '$fechaini' and c.fldDate <= '$fechafin' and 
a.sysEnabled = 1 AND a.sysAuthorized = 1 and 
c.sysEnabled = 1 AND c.sysAuthorized = 1
order by fecha, proveedor, monto_cxc, fecha_cobro, monto_cobro;;");
		

$matriz_ventas = array();
$i = 1;
while ($row = mysqli_fetch_array($result1)) {
	$matriz_ventas [$i][1] = $row['codigo'];
	$matriz_ventas [$i][2] = $row['fecha'];
	$matriz_ventas [$i][3] = $row['cod_empresa'];
	$matriz_ventas [$i][4] = $row['proveedor'];
	$matriz_ventas [$i][5] = $row['nit'];
	$matriz_ventas [$i][6] = round($row['monto_cxc'],$n_decimales);
	$matriz_ventas [$i][7] = $row['nro_contrato'];
	$matriz_ventas [$i][8] = $row['papa'];
	$matriz_ventas [$i][9] = $row['cod_fac'];
	$matriz_ventas [$i][10] = $row['cod_cobro'];
	$matriz_ventas [$i][11] = $row['papa'];
	$matriz_ventas [$i][12] = $row['cod_tipo_cobro'];
	$matriz_ventas [$i][13] = round($row['monto_cobro'],$n_decimales);
	$matriz_ventas [$i][14] = $row['fecha_cobro'];
	$matriz_ventas [$i][15] = NULL; //ventas: factura = 1, retenciones = 2, inmuebles = 3
	$matriz_ventas [$i][16] = 0; //nro doc para retenciones = 2 e inmuebles = 3
	$matriz_ventas [$i][17] = $row['nro_contrato'];
	$matriz_ventas [$i][18] = $row['cod_mov_banco'];
	$matriz_ventas [$i][19] = $row['cod_cheque'];
	$matriz_ventas [$i][20] = $row['cod_tipo_doc_cobro']; //cod tipo doc cobro  1 - 10
	$matriz_ventas [$i][21] = $row['nro_doc']; //nro factura
	$matriz_ventas [$i][22] = $row['nro_doc']; //nro autorizacion
	
	$matriz_ventas [$i][23] = 0; //nro cta banco cobro
	$matriz_ventas [$i][24] = 0; //monto acumulado cobro
	$matriz_ventas [$i][25] = 0; //nit banco cobro
	$matriz_ventas [$i][26] = 0; //nro doc cobro (cheque o transf)
	$matriz_ventas [$i][27] = $row['codigo']; //cod_cxc
	$nro_doc_cobro = $row['nro_doc_cobro'];
	$cod_cxc = $row['codigo'];
		
	/*
	1 cheque de cualquier naturaleza
	2 orden de transferencia
	3 Ordenes de transferencia electronica de fondos
	4 transferencia de fondos
	5 tarjeta de débito
	6 tarjeta de credito
	7 tarjeta prepagada
	8 deposito en cuenta
	9 cartas de credito
	10 otros */
	
	//si es factura
	if($matriz_ventas [$i][8] == 'ComponentSalesNote') {// if 0
		$cod_fac_venta = $matriz_ventas [$i][9];
		$resultfac = mysqli_query($link, "select fldNumber as nro_fac, fldAuthorization as nro_auto 
			from txsSalesLedger
			where
			cosComponentKey = '$cod_fac_venta';");
		while ($row = mysqli_fetch_array($resultfac)) {
			$matriz_ventas [$i][21] = $row['nro_fac'];
			$matriz_ventas [$i][22] = $row['nro_auto'];
		}
		mysqli_free_result($resultfac);
		$matriz_ventas [$i][15] = 1;
	}// fin if 0
	
	//si es retencion
	if($matriz_ventas [$i][8] == NULL) {// if 01
		$matriz_ventas [$i][22] = 4;
		$matriz_ventas [$i][15] = 2;
	}// fin if 01
	
	if($matriz_ventas [$i][18] != NULL) { //if 1
		$cod_mov_banco = $matriz_ventas [$i][18];
		$resultcta = mysqli_query($link, "select b.fldNumber as cuenta, d.fldNIT as nit_banco 
				from tryBankMovement a, tryBankDetail b, tryBank c, agnCompany d
				where 
				a.codBankAccount = b.pkyBankDetail and 
				a.codBank = c.pkyBank and 
				c.codCompany = d.pkyCompany and 
				a.pkyBankMovement = '$cod_mov_banco';");
		while ($row = mysqli_fetch_array($resultcta)) {
			/*
			$cuenta = $row['cuenta'];
			//dejar solo numeros
			$matriz_ventas [$i][24] = intval(preg_replace('/[^0-9]+/', '', $cuenta), 10); //nro cta banco cobro 
			*/
			$matriz_ventas [$i][23] = $row['cuenta']; //nro cta banco cobro
			$matriz_ventas [$i][25] = $row['nit_banco']; //nit banco cobro
		}
		mysqli_free_result($resultcta);
		$matriz_ventas [$i][26] = $nro_doc_cobro; //nro doc cobro transf
	}// fin if 1
	
		
	$fecha_cobro = $matriz_ventas [$i][14];
	$resultacum = mysqli_query($link, "select sum(case c.codCurrency when $cod_moneda_principal then a.fldTotal else (select b1.fldRate from actExchangeRateDetail b1 where b1.codExchangeRate = b.codExchangeRate and b1.codTargetCurrency = c.codCurrency and b1.codBaseCurrency = $cod_moneda_principal) * a.fldTotal end) as cobros_acumulados
	from colCollectionDetail a, colCollection b, colAccountsReceivable c
	where 
	a.codCollection = b.pkyCollection and 
	a.codAccountsReceivable = '$cod_cxc' and 
	a.codAccountsReceivable = c.pkyAccountsReceivable and 
	b.fldDate <= '$fecha_cobro' and 
	b.sysEnabled = 1 and b.sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($resultacum)) {
		$matriz_ventas [$i][24] = $row['cobros_acumulados']; //monto acumulado cobro
	}
	mysqli_free_result($resultacum);
	
	if($matriz_ventas [$i][19] != NULL) { //if 2
		$cod_cheque = $matriz_ventas [$i][19];
		$resultche = mysqli_query($link, "select b.fldNumber as cuenta, d.fldNIT as nit_banco, a.fldNumber as numero 
				from tryCheck a, tryBankDetail b, tryBank c, agnCompany d, tryCheckDepositDetail e, tryCheckDeposit f
				where 
				a.pkyCheck = e.codCheck and 
				e.codCheckDeposit = f.pkyCheckDeposit and 
				f.codBankAccount = b.pkyBankDetail and 
				a.codBank = c.pkyBank and 
				c.codCompany = d.pkyCompany and 
				a.pkyCheck = '$cod_cheque';");
		while ($row = mysqli_fetch_array($resultche)) {
			/*
			$cuenta = $row['cuenta'];
			//dejar solo numeros
			$matriz_ventas [$i][24] = intval(preg_replace('/[^0-9]+/', '', $cuenta), 10); //nro cta banco cobro 
			*/
			$matriz_ventas [$i][23] = $row['cuenta']; //nro cta banco cobro
			$matriz_ventas [$i][25] = $row['nit_banco']; //nit banco cobro
			$matriz_ventas [$i][26] = $row['numero']; //nro doc cobro transf
		}
		mysqli_free_result($resultche);
	}// fin if 2
	$i++;
}
$fin_v = $i - 1;
mysqli_free_result($result1);


//if($resultado == 0) { //if resultado
?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><b>Empresa: <?php echo $nombre_empresa; ?><br/>NIT: <?php echo $mi_nit; ?></b>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?></b>
</td></tr></table><br/>
<p><center><font color="#000099" size="+1"><b>Exportaci&oacute;n Libros Auxiliares Bancarizaci&oacute;n</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>	
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="50%"><b>De Fecha: </b><?php echo $fechaini; ?> <b>a Fecha: </b><?php echo $fechafin; ?></TD>
        <TD width="50%"><b>Expresado en: </b><?php echo $nom_moneda_principal; ?></TD>
        </TR>
    </table>

</td>
<!--
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $ultimo_tc; ?>&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Tipo de Cambio"><?php echo $ultimo_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
-->
</tr>
</table>
<br /> 
<table border="1" align="center" cellpadding="2" width="100%">
 		<TR> 
 		<TD align="center"><b>Nro.</b></TD>
        <TD align="center"><b>Detalle</b></TD>
    	<TD align="center"><b>Nombre Archivo</b></TD>
        <!--<TD align="center"><b>Compras</b></TD>
        <TD align="center"><b>Ventas</b></TD>-->
        <TD align="center"><b>Guardar</b></TD>
        </TR>

  <?php
  	//COMPRAS
  	$nombre_archivo = 'Compras_Auxiliar_'.$mes_det.$ano_det.'_'.$mi_nit;
	//$total_compras = 0;
	$f = fopen("exp/$nombre_archivo.txt","w");
	$sep = "|";
	$fin_de_linea = "\r\n";

	$j = 1;
	while ($j <= $fin_c) { //while
		$fecha_compra = $matriz_compras [$j][2];
		$ano1 = substr($fecha_compra,0,4);
		$mes1 = substr($fecha_compra,5,2);
		$dia1 = substr($fecha_compra,8,2);
		$fecha_compra = $dia1 . '/' . $mes1 . '/' . $ano1;
		
		$fecha_pago = $matriz_compras [$j][14];
		$ano2 = substr($fecha_pago,0,4);
		$mes2 = substr($fecha_pago,5,2);
		$dia2 = substr($fecha_pago,8,2);
		$fecha_pago = $dia2 . '/' . $mes2 . '/' . $ano2;
		
		$texto = $matriz_compras [$j][4];//proveedor
		$texto = strtr(strtoupper($texto), "àáâãäåæçèéêëìíîïðñòóôõöøùüú", "ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØÙÜÚ");
		//$texto = substr($texto,0,150);
		//compara cod cxp y fecha pago si es igual resto
		if($matriz_compras [$j][14] == $matriz_compras [$j+1][14] && $matriz_compras [$j][27] == $matriz_compras [$j+1][27]) {
		$pago_acum = $matriz_compras [$j][24] - $matriz_compras [$j+1][13];//monto acumulado pago
		} else {
		$pago_acum = $matriz_compras [$j][24];//monto acumulado pago
		}
		
		$linea = 2 . $sep . //mod. trans.
				$fecha_compra . $sep . //fecha fac o doc
				$matriz_compras [$j][15] . $sep . //tipo trans.
				$matriz_compras [$j][5] . $sep . //nit proveedor
				$texto . $sep . //razon social proveedor
				$matriz_compras [$j][21] . $sep . //numero factura
				$matriz_compras [$j][17]. $sep . //numero contrato
				number_format($matriz_compras [$j][6],2, '.', '') . $sep . //imp total compra
				$matriz_compras [$j][22] . $sep . //autorizacion
				$matriz_compras [$j][23] . $sep . //nro. cta. banco pago
				number_format($matriz_compras [$j][13],2, '.', '') . $sep . //monto pago
				number_format($pago_acum,2, '.', '') . $sep . //monto acumulado pago
				$matriz_compras [$j][25] . $sep . //nit banco pago
				$matriz_compras [$j][26] . $sep . //nro doc pago (cheque o transf)
				$matriz_compras [$j][20] . $sep . //tipo doc pago (1-10)
				$fecha_pago. $fin_de_linea; //fecha pago
				
		//$total_compras = $total_compras + $imp_cred_fis;
		fwrite($f,$linea);
		$j++;
	}//fin while
	fclose($f); 
	$fichero = "exp/".$nombre_archivo.".txt";
	printf("<tr BGCOLOR='#e2e7fa'><td align='center'>1</td>");//numero
	
	if(!file_exists($fichero)) {
		printf("<td align='left'>El archivo no se gener&oacute; !, revise los par&aacute;metros</td>");//detalle
	} else {
		printf("<td align='left'>Archivo generado exitosamente !</td>");//detalle
	}
	printf("<td align='left'>%s</td>", substr($fichero,4));//nombre
	//printf("<td align='right'>%s</td>", number_format($total_compras,$n_decimales));//compras
	//printf("<td align='right'>&nbsp;</td>");//ventas
	//printf("<td align='right'>%s</td>", number_format($total_credito_fiscal,$n_decimales));//credito fiscal
	//printf("<td align='right'>&nbsp;</td>");//debito fiscal
	printf("<td align='center'><a href='descarga.php?fichero=$fichero' title='Guardar Archivo'><img src='../../Images/filesave.png' alt='Guardar Archivo' /></a></td></tr>");//guardar
	//echo "<a href='descarga.php?fichero=$fichero'> Guardar Archivo </a> ";
	
	//VENTAS
	$nombre_archivo = 'Ventas_Auxiliar_'.$mes_det.$ano_det.'_'.$mi_nit;
	//$total_ventas = 0;
	$f = fopen("exp/$nombre_archivo.txt","w");
	$sep = "|";
	$fin_de_linea = "\r\n";

	$j = 1;
	while ($j <= $fin_v) { //while
		$fecha_venta = $matriz_ventas [$j][2];
		$ano1 = substr($fecha_venta,0,4);
		$mes1 = substr($fecha_venta,5,2);
		$dia1 = substr($fecha_venta,8,2);
		$fecha_venta = $dia1 . '/' . $mes1 . '/' . $ano1;
		
		$fecha_cobro = $matriz_compras [$j][14];
		$ano2 = substr($fecha_cobro,0,4);
		$mes2 = substr($fecha_cobro,5,2);
		$dia2 = substr($fecha_cobro,8,2);
		$fecha_cobro = $dia2 . '/' . $mes2 . '/' . $ano2;
		
		$texto = $matriz_ventas [$j][4];//cliente
		$texto = strtr(strtoupper($texto), "àáâãäåæçèéêëìíîïðñòóôõöøùüú", "ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØÙÜÚ");
		//$texto = substr($texto,0,150);
		
		//compara cod cxc y fecha cobro si es igual resto
		if($matriz_ventas [$j][14] == $matriz_ventas [$j+1][14] && $matriz_ventas [$j][27] == $matriz_ventas [$j+1][27]) {
		$cobro_acum = $matriz_ventas [$j][24] - $matriz_ventas [$j+1][13];//monto acumulado cobro
		} else {
		$cobro_acum = $matriz_ventas [$j][24];//monto acumulado cobro
		}
		
		$linea = 2 . $sep . //mod. trans.
				$fecha_venta . $sep . //fecha
				$matriz_ventas [$j][21] . $sep . //numero factura
				number_format($matriz_ventas [$j][6],2, '.', '') . $sep . //total venta
				$matriz_ventas [$j][17] . $sep . //numero contrato
				$matriz_ventas [$j][22] . $sep . //autorizacion
				$matriz_ventas [$j][5] . $sep . //nit
				$texto . $sep . //cliente
				$matriz_ventas [$j][23] . $sep . //nro. cta. banco cobro
				number_format($matriz_ventas [$j][13],2, '.', '') . $sep . //monto cobro
				number_format($cobro_acum,2, '.', '') . $sep . //monto acumulado cobro
				$matriz_ventas [$j][25] . $sep . //nit banco cobro
				$matriz_ventas [$j][26] . $sep . //nro doc cobro (cheque o transf)
				$matriz_ventas [$j][20] . $sep . //tipo doc cobro (1-10)
				$fecha_cobro . $fin_de_linea; //fecha cobro 
		fwrite($f,$linea);
		$j++;
	}//fin while
	fclose($f); 
	$fichero = "exp/".$nombre_archivo.".txt";
	printf("<tr><td align='center'>2</td>");//numero
	
	if(!file_exists($fichero)) {
		printf("<td align='left'>El archivo no se gener&oacute; !, revise los par&aacute;metros</td>");//detalle
	} else {
		printf("<td align='left'>Archivo generado exitosamente !</td>");//detalle
	}
	printf("<td align='left'>%s</td>", substr($fichero,4));//nombre
	//printf("<td align='right'>&nbsp;</td>");//compras
	//printf("<td align='right'>%s</td>", number_format($total_ventas,$n_decimales));//ventas
	//printf("<td align='right'>&nbsp;</td>");//credito fiscal
	//printf("<td align='right'>%s</td>", number_format($total_debito_fiscal,$n_decimales));//debito fiscal
	printf("<td align='center'><a href='descarga.php?fichero=$fichero' title='Guardar Archivo'><img src='../../Images/filesave.png' alt='Guardar Archivo' /></a></td></tr>");//guardar
  
} //fin if bolivia

} //fin if 2



?>

</body>
</html>
